.notlink {
    text-decoration: none;
    color: inherit;
    cursor: inherit;
}

.pixelated {
    image-rendering: optimizeSpeed;             /*                     */
    image-rendering: -moz-crisp-edges;          /* Firefox             */
    image-rendering: -o-crisp-edges;            /* Opera               */
    image-rendering: -webkit-optimize-contrast; /* Chrome (and Safari) */
    image-rendering: pixelated;                 /* Chrome as of 2019   */
    image-rendering: optimize-contrast;         /* CSS3 Proposed       */
    -ms-interpolation-mode: nearest-neighbor;   /* IE8+                */
}

/* Buttons */
.btn {
	width: fit-content;
	padding: 10px;
	border: 1px solid black;
	/*border: none;*/
	border-radius: 5px;
	cursor: pointer;
	transition: background-color ease-out 0.2s;
}

.btn.yesbtn {
	background-color: #4CAF50;
}
.btn.yesbtn:hover {
	background-color: #6ECF72;
}

.btn.nobtn {
	background-color: #FF0000;
}
.btn.nobtn:hover {
	background-color: #FF6666;
}

.btn.blockedbtn {
	background-color: #666666;
	cursor: not-allowed;
}


/* T-F Switches */
.toggle {
    display: flex;
    flex-flow: row;
    align-items: center;
}

.toggle label {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.toggle label input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.toggle label span {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
}

.toggle label span:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: .4s;
}

.toggle label input:checked + span {
    background-color: #55AA77;
}

.toggle label input:checked + span:before {
    transform: translateX(26px);
}

.toggle label span.round {
    border-radius: 34px;
}

.toggle label span.round:before {
    border-radius: 50%;
}

.toggle text {
    font-size: 20px;
    margin-right: 10px;
}

/* Dropdowns */
.dropdown {
	position: relative;
	display: inline-block;
}

.dropdown > text {
    display: block;
	background-color: #f1f1f1;
	min-width: 128px;
}
.dropdown > text:focus {
    background-color: #ccc;
    transition: none;
}

.dropdown > text::after {
    /* Font Awesome setup */
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    
    /* Icon */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f0d7";
    
    /* Normal styling */
    float: right;
}

.dropdown > div {
    display: block;
    visibility: hidden;
	position: absolute;
	background-color: #f1f1f1;
	min-width: 160px;
	overflow: auto;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
    transition: visibility 0s linear 100ms; /* Allow the click event to fire */
}
.dropdown > text:focus + div {
    visibility: visible;
    transition: none; /* Opening transition isn't needed */
}

.dropdown > div a, .dropdown > text {
	display: block;
	padding: 12px 16px;
	color: black;
	text-decoration: none;
	cursor: pointer;
	transition: background-color ease-out 0.2s;
}

.dropdown > div a:hover, .dropdown > text:hover:not(:focus) {
	background-color: #ddd;
}

/* Text-Text Switches */
.switch {
    display: inline-block;
}
.switch input {
    display: none;
}
.switch text {
    display: inline-block;
	background-color: #f1f1f1;
	padding: 12px 16px;
    cursor: pointer;
	transition: background-color ease-out 0.2s;
}
.switch input:not(:checked) + text, .switch input:checked + text + text {
    background-color: #ccc;
    cursor: default;
}
.switch input:not(:checked) + text + text:hover, .switch input:checked + text:hover {
    background-color: #ddd;
}